[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#519221: libpixman-1-0: libpixman in testing (0.14.0) causes terminal to be unusably slow (with regression test)

Package: libpixman-1-0
Version: 0.14.0-1
Severity: important

I am tracking testing. Recently after the release of lenny I noticed
that my terminal emulator
(konsole) became almost unusably slow. The lines refresh about twice
as fast as I can read them
-- that is, when I do 'ls', I can almost follow along as the output appears!

After some testing I have narrowed it to libpixman-1-0. I checked out
the git and did a bisect,
and determined the problem is the following commit:

92ef26dfed3337831dd5156bfe0d20b132a26a29 is first bad commit
commit 92ef26dfed3337831dd5156bfe0d20b132a26a29
Author: André Tupinambá <andrelrt@gmail.com>
Date:   Wed Apr 23 00:18:39 2008 -0400

    Add SSE2 implementations of many compositing operations.

:100644 100644 0f52b87fa20e215a1cbd7e77928686c8c5686940
637f835221631b0f3d79d8f0f3b256883d34770b M      configure.ac
:040000 040000 8a345622711e2e9c7a357a702635bb1e052bf10a
8844fa5f04805106ede92dab9db61f2fd95bacea M      pixman

This happened a bit after the version 0.11.1 tag (lenny has 0.10.0 and
squeeze has 0.14.0).
I hope this can be fixed, as it makes my terminal incredibly frustrating to use.

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (1001, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libpixman-1-0 depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries

libpixman-1-0 recommends no packages.

libpixman-1-0 suggests no packages.

-- no debconf information

Reply to: